
<script type="text/javascript">
    $(document).ready(function(){
        var table=$('#tb').DataTable({            
            dom: 'Bfrtip',
            autoWidth: false,
            buttons: [{extend:'excelHtml5',text:'导出到Excel'}],           
            language:lng,           
            data:{{data|safe}},
            destroy:true,
        });      
        
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });

        $('#tb').on("click","td a",function(event){
            $(event.target.parentNode).addClass('row_selected');
             event.preventDefault();
             $.OpenDlg($(this).attr('href'),'箱号明细列表:',1000,700);
        });   

    });
</script>


<style>
  
   
</style>


<div id='list-tt' style='margin-bottom:10px;' current='{{url}}'>保质期提醒列表

</div>
<table id="tb" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%"> 
    <thead>
        {% for c in clmns %}
            <th>{{c}}</th>
        {% endfor %}
    </thead>
    <tbody></tbody>
    <tfoot>
        {% for c in clmns %}
            <th><input type="text" placeholder="{{c}}"></th>            
        {% endfor %}            
    </tfoot>
</table>

